#include "library.h"
const double pi=3.14159;
const int wheight=550;
const int wwidth=425;
int year=get_calendar_date()/10000;
int month=get_calendar_date()%10000/100;
int day=get_calendar_date()%10000%100;
int hour=get_clock_time()/10000;
int minute=get_clock_time()%10000/100;	
int second=get_clock_time()%100;

void draw_arc(const double length, const double angle) {

  if (angle > 0.0) {
    draw_distance(length/angle);
    turn_right_by_degrees(1.0);

    draw_arc(length-(length/angle), angle-1.0);
  }  
}

void draw_clock(const double d, const double count)
{
	if (count>0.0)
	{
	draw_arc(100,30.0);
	turn_right_by_degrees(90.0);
	move_distance(4);
	draw_distance(9);
	turn_right_by_degrees(180.0);
	move_distance(13);
	turn_right_by_degrees(90.0);
	draw_clock(36, count-1);
	}
}
void draw_second(int second)
{
move_to(208, wheight*3/7);
set_pen_width(1);
set_pen_color(color::black);
set_heading_degrees(second*6);
draw_distance(150);
}
void erase_second(int second)
{
move_to(208, wheight*3/7);
set_pen_width(1);
set_pen_color(color::white);
set_heading_degrees(second*6);
draw_distance(150);
}
void draw_minute(int minute)
{
move_to(208, wheight*3/7);
set_pen_width(5);
set_pen_color(color::black);
set_heading_degrees(minute*6);
draw_distance(150);
}
void erase_minute(int minute)
{
move_to(208, wheight*3/7);
set_heading_degrees(minute*6);
set_pen_width(5);
set_pen_color(color::white);
draw_distance(150);
}
void draw_hour(int hour)
{
move_to(208, wheight*3/7);
set_pen_width(5);
set_pen_color(color::black);
set_heading_degrees(hour*30);
draw_distance(100);
}
void erase_hour(int hour)
{
move_to(208, wheight*3/7);
set_pen_width(5);
set_heading_degrees(hour*30);
set_pen_color(color::white);
draw_distance(100);
}
void write_time(int second, int minute, int hour)
{
set_pen_color(color::black);
move_to(150.0,500.0);
if (hour>12)
{
write_string(hour-12);
}
else if (hour<=12)
{write_string(hour);
}
write_string(":");
if (minute<10)
{write_string("0");
}
write_string(minute);
write_string(":");
if (second<10)
{write_string("0");}
write_string(second);

if (hour>=12)
{write_string(" p.m");}
else if (hour<12)
{write_string(" a.m");}
}

void erase_write(int second,int minute,int hour)
{
set_pen_color(color::white);
move_to(150.0,500.0);
if (hour>12)
{
write_string(hour-12);
}
else if (hour<=12)
{write_string(hour);
}
write_string(":");
if (minute<10)
{write_string("0");
}
write_string(minute);
write_string(":");
if (second<10)
{write_string("0");}
write_string(second);

if (hour>=12)
{write_string(" p.m");}
else if (hour<12)
{write_string(" a.m");}
}
void draw_time(int second, int minute, int hour)
{
draw_second(second);
draw_minute(minute);
draw_hour(hour);
write_time(second, minute, hour);
wait(1.0);
erase_write(second, minute, hour);
erase_second(second);
erase_minute(minute);
erase_hour(hour);
draw_time(second+1, minute+1/60, hour+1/3600);
}
void main()
{

print("year: "); 
print(year);
new_line();
print("month: ");
print(month);
new_line();
print("day: ");
print(day);
new_line();


if (hour>12)
{
print("hour: ");
print(hour-12);
print(" p.m");
new_line();
}
else if (hour<=12)
{
print("hour: ");
print(hour);
print(" p.m.");
new_line();
}

print("minute: ");
print(minute);
new_line();

print("second: ");
print(second);
new_line();

make_window(wwidth,wheight);

set_pen_color(color::black);

move_to(110.0,515.0);
write_string(day);
if (day==1||day==21||day==31)
{write_string("st ");}
else if (day==2||day==22)
{write_string("nd ");}
else if (day==3||day==23)
{write_string("rd ");}
else if (day=true)
{write_string("th ");}

if (month==1){
	write_string(" January ");}
else if (month==2){
	write_string(" February ");}
else if (month==3){
	write_string(" March ");}
else if (month==4)
{write_string(" April ");}
else if (month==5)
{write_string(" May ");}
else if (month==6)
{write_string(" June ");}
else if (month==7)
{write_string(" July ");}
else if (month==8)
{write_string(" August ");}
else if (month==9)
{write_string(" September ");}
else if (month==10)
{write_string(" October ");}
else if (month==11)
{write_string(" November ");}
else if (month==12)
{write_string(" December ");}

write_string(year);


move_to(15,wheight*3/7);

set_pen_color(color::black);

draw_clock(300,360);

move_to(208, wheight*3/7);

draw_time(second,minute,hour);

}