#include "library.h"
const double pi=3.14159;
const int wheight=550;
const int wwidth=425;

void draw_arc(const double length, const double angle) {

  if (angle > 0.0) {
    draw_distance(length/angle);
    turn_right_by_degrees(1.0);

    draw_arc(length-(length/angle), angle-1.0);
  }  
}

void draw_clock(const double d, const double count)
{
	if (count>0.0)
	{
	draw_arc(100,30.0);
	turn_right_by_degrees(90.0);
	move_distance(4);
	draw_distance(9);
	turn_right_by_degrees(180.0);
	move_distance(13);
	turn_right_by_degrees(90.0);
	draw_clock(36, count-1);
	}
}
void main()
{
	int year=get_calendar_date()/10000;
	int month=get_calendar_date()%10000/100;
	int day=get_calendar_date()%10000%100;
	int hour=get_clock_time()/10000;
	int minute=get_clock_time()%10000/100;

print("year: "); 
print(year);
new_line();
print("month: ");
print(month);
new_line();
print("day: ");
print(day);
new_line();

if (hour>12)
{
print("hour: ");
print(hour-12);
print(" p.m");
new_line();
}
else if (hour<=12)
{
print("hour: ");
print(hour);
print(" p.m.");
new_line();
}

print("minute: ");
print(minute);
new_line();

make_window(wwidth,wheight);

move_to(25,wheight*3/7);

draw_clock(350,12.0);

}